For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • GETList tests
          • GETGet test
          • POSTCreate test
          • PUTUpdate test
          • DELDelete test
          • POSTGet test summaries
          • POSTRun tests on agent
            • GETGet test invocation
            • POSTResubmit test invocation
            • GETList test invocations
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceTestsTest Invocations

List test invocations

GET
/v1/convai/test-invocations
GET
/v1/convai/test-invocations
$curl -G https://api.elevenlabs.io/v1/convai/test-invocations \
> -d agent_id=agent_id \
> -d page_size=1 \
> -d cursor=cursor
1{
2 "results": [
3 {
4 "id": "id",
5 "created_at_unix_secs": 1,
6 "test_run_count": 1,
7 "passed_count": 1,
8 "failed_count": 1,
9 "pending_count": 1,
10 "title": "title",
11 "agent_id": "agent_id",
12 "branch_id": "branch_id",
13 "access_info": {
14 "is_creator": true,
15 "creator_name": "John Doe",
16 "creator_email": "john.doe@example.com",
17 "role": "admin",
18 "access_source": "creator"
19 },
20 "repeat_count": 1
21 }
22 ],
23 "has_more": true,
24 "meta": {
25 "total": 1,
26 "page": 1,
27 "page_size": 1
28 },
29 "next_cursor": "next_cursor"
30}
Lists all test invocations with pagination support and optional search filtering.
Was this page helpful?
Previous

Import phone number

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

agent_idstringOptional
Filter by agent ID
page_sizeintegerOptional1-100Defaults to 30
How many Tests to return at maximum. Can not exceed 100, defaults to 30.
cursorstringOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
resultslist of objects
has_moreboolean
Whether there are more results available
metaobject
next_cursorstring
Cursor for the next page of results

Errors

422
Invocations List Request Unprocessable Entity Error